General Purpose Roles
=====================

.. zuul:autorole:: add-authorized-keys
.. zuul:autorole:: add-build-sshkey
.. zuul:autorole:: add-gpgkey
.. zuul:autorole:: add-sshkey
.. zuul:autorole:: bindep
.. zuul:autorole:: buildset-artifacts-location
.. zuul:autorole:: clear-firewall
.. zuul:autorole:: configure-mirrors
.. zuul:autorole:: copy-build-sshkey
.. zuul:autorole:: download-artifact
.. zuul:autorole:: dstat-graph
.. zuul:autorole:: emit-job-header
.. zuul:autorole:: enable-netconsole
.. zuul:autorole:: ensure-bazelisk
.. zuul:autorole:: ensure-dhall
.. zuul:autorole:: ensure-dstat-graph
.. zuul:autorole:: ensure-markdownlint
.. zuul:autorole:: ensure-shake
.. zuul:autorole:: fetch-markdownlint
.. zuul:autorole:: git-prepare-nodecache
.. zuul:autorole:: intercept-job
.. zuul:autorole:: log-inventory
.. zuul:autorole:: markdownlint
.. zuul:autorole:: mirror-workspace-git-repos
.. zuul:autorole:: multi-node-bridge
.. zuul:autorole:: multi-node-firewall
.. zuul:autorole:: multi-node-hosts-file
.. zuul:autorole:: multi-node-known-hosts
.. zuul:autorole:: persistent-firewall
.. zuul:autorole:: prepare-workspace
.. zuul:autorole:: prepare-workspace-git
.. zuul:autorole:: prepare-workspace-openshift
.. zuul:autorole:: remove-build-sshkey
.. zuul:autorole:: remove-gpgkey
.. zuul:autorole:: remove-sshkey
.. zuul:autorole:: render-diff
.. zuul:autorole:: remove-zuul-sshkey
.. zuul:autorole:: revoke-sudo
.. zuul:autorole:: run-dstat
.. zuul:autorole:: shake-build
.. zuul:autorole:: sign-artifacts
.. zuul:autorole:: stage-output
.. zuul:autorole:: start-zuul-console
.. zuul:autorole:: test-setup
.. zuul:autorole:: trigger-readthedocs
.. zuul:autorole:: update-json-file
.. zuul:autorole:: upload-artifactory
.. zuul:autorole:: upload-git-mirror
.. zuul:autorole:: validate-dco-license
.. zuul:autorole:: validate-host
.. zuul:autorole:: validate-zone-db
.. zuul:autorole:: version-from-git
.. zuul:autorole:: write-inventory
